[Pkg-ace-commits] [pkg-ace] r630 - branches/5.6.3/debian

Thomas Girard tgg at alioth.debian.org
Sun Dec 13 09:35:14 UTC 2009


Author: tgg
Date: 2009-12-13 09:35:14 +0000 (Sun, 13 Dec 2009)
New Revision: 630

Added:
   branches/5.6.3/debian/cmp-autoconf-regular.sh
Modified:
   branches/5.6.3/debian/changelog
   branches/5.6.3/debian/control
Log:
add Pau to debian/control and debian/changelog. Add missing helper script.


Modified: branches/5.6.3/debian/changelog
===================================================================
--- branches/5.6.3/debian/changelog	2009-12-12 18:04:58 UTC (rev 629)
+++ branches/5.6.3/debian/changelog	2009-12-13 09:35:14 UTC (rev 630)
@@ -1,5 +1,6 @@
 ace (5.6.3-6) unstable; urgency=low
 
+  [ Thomas Girard ]
   * Remove obsolete maintainers:
     - Konstantinos Margaritis <markos at debian.org>
     - Brian Nelson <pyro at debian.org>
@@ -11,6 +12,9 @@
     recent aclocal to abort. Thanks to Pau Garcia i Quiles for the patch.
     Closes: #518735.
   * Add README.source.
+  * Add Pau Garcia i Quiles to the list of maintainers.
+
+  [ Pau Garcia i Quiles ]
   * Add new patches:
     - Remove duplicate files from .mpc files so that Makefile.am files do
       not have duplicates 

Added: branches/5.6.3/debian/cmp-autoconf-regular.sh
===================================================================
--- branches/5.6.3/debian/cmp-autoconf-regular.sh	                        (rev 0)
+++ branches/5.6.3/debian/cmp-autoconf-regular.sh	2009-12-13 09:35:14 UTC (rev 630)
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+usage() {
+	cat >&2 << EOF
+usage: $0 <first> <second>
+compares ACE config.h files (using cpp)
+e.g.: $0 ACE_wrappers/ace/config-linux.h objdir/ace/config.h
+EOF
+}
+
+report_to() {
+    g++ -E -DACE_HAS_LINUX_NPTL -dM -I"$ACE_ROOT" $1 | \
+      grep '^#define ACE' | grep -v '^#define ACE_CONFIG' | \
+      sed -e 's/^#define \+\([A-Z0-9_]\+\) *$/#define \1 1/g' | \
+      sort >> $2
+}
+
+if test "a$ACE_ROOT" = "a"; then
+    echo "$0: please define ACE_ROOT" >&2
+    exit 1
+fi
+
+if test "$#" -ne 2; then
+    usage
+    exit 2
+fi
+
+ONE_TMP=`mktemp -t ace_cmp_one.XXXXXXXXXX` || exit 1
+TWO_TMP=`mktemp -t ace_cmp_two.XXXXXXXXXX` || exit 1
+
+trap "rm $ONE_TMP $TWO_TMP" EXIT
+
+report_to $1 $ONE_TMP
+report_to $2 $TWO_TMP
+
+diff -u $ONE_TMP $TWO_TMP
+

Modified: branches/5.6.3/debian/control
===================================================================
--- branches/5.6.3/debian/control	2009-12-12 18:04:58 UTC (rev 629)
+++ branches/5.6.3/debian/control	2009-12-13 09:35:14 UTC (rev 630)
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian ACE+TAO maintainers <pkg-ace-devel at lists.alioth.debian.org>
-Uploaders: Thomas Girard <thomas.g.girard at free.fr>
+Uploaders: Thomas Girard <thomas.g.girard at free.fr>, Pau Garcia i Quiles <pgquiles at elpauer.org>
 Build-Depends: debhelper (>= 5), libssl-dev (>= 0.9.7d), dpatch (>= 2.0.10), libxt-dev (>= 4.3.0), libfltk1.1-dev (>= 1.1.4), libqt4-dev (>= 4.4~rc1-4), tk-dev (>= 8.4.7), libfox-1.6-dev, zlib1g-dev, libzzip-dev, docbook-to-man, bzip2, autoconf, automake, libtool, autotools-dev, doxygen, graphviz
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.8.3




More information about the Pkg-ace-commits mailing list